Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.jaxb.pom.generated
Class Plugin

    java.lang.Object
      org.owasp.dependencycheck.jaxb.pom.generated.Plugin

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public class Plugin

extends Object

4.0.0

Java class for Plugin complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Plugin">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="groupId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="artifactId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="extensions" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="executions" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="execution" type="{http://maven.apache.org/POM/4.0.0}PluginExecution" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="dependencies" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="dependency" type="{http://maven.apache.org/POM/4.0.0}Dependency" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="goals" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <any processContents='skip' maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="inherited" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="configuration" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <any processContents='skip' maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </all>
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `Plugin.Configuration` Java class for anonymous complex type.
`static class` | `Plugin.Dependencies` Java class for anonymous complex type.
`static class` | `Plugin.Executions` Java class for anonymous complex type.
`static class` | `Plugin.Goals` Java class for anonymous complex type.

Field Summary
`protected String` | `artifactId`
`protected Plugin.Configuration` | `configuration`
`protected Plugin.Dependencies` | `dependencies`
`protected Plugin.Executions` | `executions`
`protected Boolean` | `extensions`
`protected Plugin.Goals` | `goals`
`protected String` | `groupId`
`protected String` | `inherited`
`protected String` | `version`

Constructor Summary
`Plugin()`

Method Summary
`String` | `getArtifactId()` Gets the value of the artifactId property.
`Plugin.Configuration` | `getConfiguration()` Gets the value of the configuration property.
`Plugin.Dependencies` | `getDependencies()` Gets the value of the dependencies property.
`Plugin.Executions` | `getExecutions()` Gets the value of the executions property.
`Plugin.Goals` | `getGoals()` Gets the value of the goals property.
`String` | `getGroupId()` Gets the value of the groupId property.
`String` | `getInherited()` Gets the value of the inherited property.
`String` | `getVersion()` Gets the value of the version property.
`Boolean` | `isExtensions()` Gets the value of the extensions property.
`void` | `setArtifactId(String value)` Sets the value of the artifactId property.
`void` | `setConfiguration(Plugin.Configuration value)` Sets the value of the configuration property.
`void` | `setDependencies(Plugin.Dependencies value)` Sets the value of the dependencies property.
`void` | `setExecutions(Plugin.Executions value)` Sets the value of the executions property.
`void` | `setExtensions(Boolean value)` Sets the value of the extensions property.
`void` | `setGoals(Plugin.Goals value)` Sets the value of the goals property.
`void` | `setGroupId(String value)` Sets the value of the groupId property.
`void` | `setInherited(String value)` Sets the value of the inherited property.
`void` | `setVersion(String value)` Sets the value of the version property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### groupId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String groupId

### artifactId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String artifactId

### version

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String version

### extensions

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Boolean extensions

### executions

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Plugin.Executions executions

### dependencies

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Plugin.Dependencies dependencies

### goals

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Plugin.Goals goals

### inherited

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String inherited

### configuration

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Plugin.Configuration configuration

Constructor Detail

### Plugin

    public Plugin()

Method Detail

### getGroupId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getGroupId()

  Gets the value of the groupId property.

  Returns:
    possible object is `String`

### setGroupId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setGroupId(String value)

  Sets the value of the groupId property.

  Parameters:
    `value` - allowed object is `String`

### getArtifactId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getArtifactId()

  Gets the value of the artifactId property.

  Returns:
    possible object is `String`

### setArtifactId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setArtifactId(String value)

  Sets the value of the artifactId property.

  Parameters:
    `value` - allowed object is `String`

### getVersion

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getVersion()

  Gets the value of the version property.

  Returns:
    possible object is `String`

### setVersion

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setVersion(String value)

  Sets the value of the version property.

  Parameters:
    `value` - allowed object is `String`

### isExtensions

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Boolean isExtensions()

  Gets the value of the extensions property.

  Returns:
    possible object is `Boolean`

### setExtensions

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setExtensions(Boolean value)

  Sets the value of the extensions property.

  Parameters:
    `value` - allowed object is `Boolean`

### getExecutions

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Plugin.Executions getExecutions()

  Gets the value of the executions property.

  Returns:
    possible object is `Plugin.Executions`

### setExecutions

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setExecutions(Plugin.Executions value)

  Sets the value of the executions property.

  Parameters:
    `value` - allowed object is `Plugin.Executions`

### getDependencies

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Plugin.Dependencies getDependencies()

  Gets the value of the dependencies property.

  Returns:
    possible object is `Plugin.Dependencies`

### setDependencies

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setDependencies(Plugin.Dependencies value)

  Sets the value of the dependencies property.

  Parameters:
    `value` - allowed object is `Plugin.Dependencies`

### getGoals

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Plugin.Goals getGoals()

  Gets the value of the goals property.

  Returns:
    possible object is `Plugin.Goals`

### setGoals

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setGoals(Plugin.Goals value)

  Sets the value of the goals property.

  Parameters:
    `value` - allowed object is `Plugin.Goals`

### getInherited

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getInherited()

  Gets the value of the inherited property.

  Returns:
    possible object is `String`

### setInherited

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setInherited(String value)

  Sets the value of the inherited property.

  Parameters:
    `value` - allowed object is `String`

### getConfiguration

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Plugin.Configuration getConfiguration()

  Gets the value of the configuration property.

  Returns:
    possible object is `Plugin.Configuration`

### setConfiguration

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setConfiguration(Plugin.Configuration value)

  Sets the value of the configuration property.

  Parameters:
    `value` - allowed object is `Plugin.Configuration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.